Index: arpwatch/arp2ethers.8
diff -u /dev/null arpwatch/arp2ethers.8:1.1.2.3
--- /dev/null	Sat Aug 14 03:19:34 2004
+++ arpwatch/arp2ethers.8	Thu Aug 12 14:37:09 2004
@@ -0,0 +1,64 @@
+.TH ARP2ETHERS 8
+.SH NAME
+arp2ethers \- convert arpwatch address database to ethers file format
+.SH SYNOPSIS
+.na
+.B arp2ethers
+[
+.B arp.dat file
+]
+.ad
+.SH "DESCRIPTION"
+.B arp2ethers
+converts the file 
+.IR /var/lib/arpwatch/arp.dat
+(or the file specified on the command line)
+into
+.BR ethers(5)
+format on
+.IR stdout .
+Usually
+.IR arp.dat
+is an ethernet/ip database file generated by
+.BR arpwatch(8) .
+The arpwatch daemon in Debian will create different 
+.IR arp.dat
+depending on its configuration. All of them will be available at 
+.IR /var/lib/arpwatch/ .
+.SH FILES
+.na
+.nh
+.nf
+/var/lib/arpwatch - default directory for arp.dat
+arp.dat - ethernet/ip address database
+.ad
+.hy
+.fi
+.SH "SEE ALSO"
+.na
+.nh
+.BR arpwatch (8),
+.BR ethers (5),
+.BR rarp (8),
+.BR arp (8),
+.ad
+.hy
+.SH BUGS
+Please send bug reports to arpwatch@ee.lbl.gov.
+.SH AUTHORS
+.LP
+Original version by Craig Leres of the Lawrence Berkeley
+National Laboratory Network Research Group, University of
+California, Berkeley, CA.
+.LP
+Modified for the Debian Project by Peter Kelemen, with
+additions from Erik Warmelink.
+.LP
+The current version is available via anonymous ftp:
+.LP
+.RS
+.I ftp://ftp.ee.lbl.gov/arpwatch.tar.gz
+.RE
+.LP
+This manual page was contributed by Hugo Graumann.
+
Index: arpwatch/arpfetch.8
diff -u /dev/null arpwatch/arpfetch.8:1.1.2.2
--- /dev/null	Sat Aug 14 03:19:34 2004
+++ arpwatch/arpfetch.8	Tue Apr 17 14:12:51 2001
@@ -0,0 +1,63 @@
+.TH ARPFETCH 8
+.SH NAME
+arpfetch \- obtain ethernet/ip address pairings via snmp
+.SH SYNOPSIS
+.na
+arpfetch
+.I host
+.I cname
+.SH "DESCRIPTION"
+.B arpfetch
+gets pairings between ip addresses and the ethernet address of the
+corresponding network card. These pairings are retrieved from other
+network entities, like routers, by the SNMP protocol using
+.BR snmpwalk(1) .
+Mostly, this program is an agent that
+is used to get data for
+.BR arpsnmp(8) .
+This fetching of address mappings can be further automated by use of
+.BR bihourly(8) .
+.LP
+Both command arguments must be present for proper operation.
+The
+.IR host
+argument is the hostname of the network entity being queried and the
+.IR cname
+argument is the SNMP community name of the network entity.
+.LP
+The information is presented on
+.IR stdout
+in a format compatible with
+.BR arpsnmp(8)
+and
+.BR arpwatch(8) .
+.LP
+Further information about SNMP can be found in
+.BR snmpcmd(1)
+and
+.BR variables(5) .
+.SH "SEE ALSO"
+.na
+.nh
+.BR arpsnmp (8),
+.BR arpwatch(8),
+.BR bihourly (8),
+.BR snmpwalk (1),
+.BR snmpcmd (1),
+.BR variables (5)
+.ad
+.hy
+.SH BUGS
+Please send bug reports to arpwatch@ee.lbl.gov.
+.SH AUTHORS
+Craig Leres of the
+Lawrence Berkeley National Laboratory Network Research Group,
+University of California, Berkeley, CA.
+.LP
+The current version is available via anonymous ftp:
+.LP
+.RS
+.I ftp://ftp.ee.lbl.gov/arpwatch.tar.gz
+.RE
+.LP
+This manual page was contributed by Hugo Graumann.
Index: arpwatch/arpsnmp.8
diff -u arpwatch/arpsnmp.8:1.1.1.1 arpwatch/arpsnmp.8:1.1.1.1.16.2
--- arpwatch/arpsnmp.8:1.1.1.1	Tue Apr 17 13:31:36 2001
+++ arpwatch/arpsnmp.8	Tue Apr 17 14:53:57 2001
@@ -22,7 +22,7 @@
 .TH ARPSNMP 8 "17 September 2000"
 .UC 4
 .SH NAME
-arpsnmp - keep track of ethernet/ip address pairings
+arpsnmp \- keep track of ethernet/ip address pairings
 .SH SYNOPSIS
 .B arpsnmp
 [
Index: arpwatch/arpwatch.8
diff -u arpwatch/arpwatch.8:1.1.1.1 arpwatch/arpwatch.8:1.1.1.1.16.2
--- arpwatch/arpwatch.8:1.1.1.1	Tue Apr 17 13:31:36 2001
+++ arpwatch/arpwatch.8	Tue Apr 17 14:53:57 2001
@@ -22,7 +22,7 @@
 .TH ARPWATCH 8 "8 October 2000"
 .UC 4
 .SH NAME
-arpwatch - keep track of ethernet/ip address pairings
+arpwatch \- keep track of ethernet/ip address pairings
 .SH SYNOPSIS
 .na
 .B arpwatch
Index: arpwatch/bihourly.8
diff -u /dev/null arpwatch/bihourly.8:1.1.2.2
--- /dev/null	Sat Aug 14 03:19:34 2004
+++ arpwatch/bihourly.8	Tue Apr 17 14:12:51 2001
@@ -0,0 +1,73 @@
+.TH BIHOURLY 8
+.SH NAME
+bihourly \- track ethernet/ip address pairs
+.SH SYNOPSIS
+.na
+bihourly
+.SH "DESCRIPTION"
+.B bihourly
+is a script that automates the operation of
+.B arpsnmp(8)
+by executing
+.B arpfetch(8)
+on a series of hostnames and then
+sending the results to
+.B arpsnmp(8)
+for analysis.
+.LP
+The result is a report of the current pairings
+between ip addresses and the corresponding ethernet address
+of the network hardware as reported by
+.B snmpwalk(8).
+Activity
+is logged and noted changes are reported by email.
+.LP
+In its working directory
+.B bihourly
+expects a file named
+.IR list
+which contains a space separated list of hostnames to be queried
+and a file named
+.IR cname
+which holds the SNMP community name by which to query these hosts.
+.LP
+Contrary to the name,
+.B bihourly
+does not run twice every hour. It
+runs once each time it is invoked. For repeated operation
+.B bihourly
+must be invoked on a periodic basis by a program like
+.B cron(1).
+.SH FILES
+.na
+.nh
+.nf
+/var/lib/arpwatch - default working directory
+list - file containing names of hosts to query
+cname - file containing the SNMP community name by which to query
+.ad
+.hy
+.fi
+.SH "SEE ALSO"
+.na
+.nh
+.BR arpsnmp (8),
+.BR arpfetch(8),
+.BR snmpwalk (8),
+.BR cron (8)
+.ad
+.hy
+.SH BUGS
+Please send bug reports to arpwatch@ee.lbl.gov.
+.SH AUTHORS
+Craig Leres of the
+Lawrence Berkeley National Laboratory Network Research Group,
+University of California, Berkeley, CA.
+.LP
+The current version is available via anonymous ftp:
+.LP
+.RS
+.I ftp://ftp.ee.lbl.gov/arpwatch.tar.gz
+.RE
+.LP
+This manual page was contributed by Hugo Graumann.
Index: arpwatch/massagevendor.8
diff -u /dev/null arpwatch/massagevendor.8:1.1.2.2
--- /dev/null	Sat Aug 14 03:19:34 2004
+++ arpwatch/massagevendor.8	Tue Apr 17 14:12:51 2001
@@ -0,0 +1,91 @@
+.TH MASSAGEVENDOR 8
+.SH NAME
+massagevendor \- convert the ethernet vendor codes master list to arpwatch format
+.SH SYNOPSIS
+.na
+massagevendor
+.I vendorfile
+.SH "DESCRIPTION"
+.B massagevendor
+is a program that converts a text file containing ethernet vendor codes
+into a format suitable for use by
+.B arpwatch(8)
+and
+.B arpsnmp(8).
+The input
+.I vendorfile
+is a master text file containing vendor codes. The output
+is sent to
+.I stdout.
+Each line of the
+.I vendorfile
+is expected to have a six digit hexadecimal vendor code
+followed by spaces followed by the name of the manufacturer.
+.LP
+All ethernet devices have a unique identifier which
+includes a vendor code specifying the manufacturer of the
+device. In normal operation
+.B arpwatch(8)
+and
+.B arpsnmp(8)
+use the file
+.I ethercodes.dat
+to report this vendor code.
+.B massagevendor
+is used to generate the
+.I ethercodes.dat
+file from text files containing these vendor codes.
+.LP
+Locations where an ethernet vendor codes master text file
+can be obtained are given below.
+.SH FILES
+.na
+.nh
+.nf
+/usr/share/arpwatch - default location of the ethernet vendor list
+ethercodes.dat - file containing the list of ethernet vendor codes
+.ad
+.hy
+.fi
+.SH "SEE ALSO"
+.na
+.nh
+.BR arpwatch(8),
+.BR arpsnmp(8)
+.ad
+.hy
+.SH NOTES
+Sources for ethernet vendor codes seen in the wild are
+.LP
+.na
+.nh
+.nf
+.RS
+.I http://map-ne.com/Ethernet/vendor.html
+.I ftp://ftp.cavebear.com/pub/Ethernet.txt
+.I http://www.cavebear.com/CaveBear/Ethernet/vendor.html
+.RE
+.ad
+.hy
+.LP
+Useful for comparison or completeness are the
+ethernet vendor codes as assigned
+by the IEEE which can be found at
+.LP
+.RS
+.I http://standards.ieee.org/regauth/oui/oui.txt
+.RE
+.SH BUGS
+Please send bug reports to arpwatch@ee.lbl.gov.
+.SH AUTHORS
+Craig Leres of the
+Lawrence Berkeley National Laboratory Network Research Group,
+University of California, Berkeley, CA.
+.LP
+The current version is available via anonymous ftp:
+.LP
+.RS
+.I ftp://ftp.ee.lbl.gov/arpwatch.tar.gz
+.RE
+.LP
+This manual page was contributed by Hugo Graumann.
